.page
    YuriHeader(
        title="Test de conocimiento"
        tag="Quiero invertir"
    )
    b-row.justify-content-center.questions(v-if="questions.length")
        b-col(md="10" lg="9")
            .form(v-if="questions[0].poll_type === 'CONOCIMIENTO_JURIDICA'")
                ValidationObserver(v-slot="{ valid, errors }")
                    div.mt-4.l-subtitle Complete información
                    b-row.mt-4
                        b-col(md="12")
                            label.form__label.mt-1 {{que(questions[0].responses[0].question)}}
                            ValidationProvider(:name="que(questions[0].responses[0].question)" v-slot="{ errors }" rules="required")
                                b-form-checkbox-group(v-model="responses[0].answer[0]" @change="onChangeClearResponse(0)")
                                    template
                                        b-row
                                            b-col(cols="12" v-for="(option, idx) in questions[0].responses[0].responses" :key="idx")
                                                b-form-checkbox(:value="option") {{res(option)}}
                        b-col(cols="12" v-if="responses[0].answer[0] && responses[0].answer[0].includes('OTROS')")
                            label.form__label.mt-1 {{que(questions[1].question)}}
                            ValidationProvider(:name="que(questions[1].question)" v-slot="{ errors }" rules="required")
                                b-form-input(v-model="responses[1].answer[0]" :placeholder="que(questions[1].question)")

                        b-col(cols="12" v-if="responses[0].answer[0] && responses[0].answer[0].includes('ABOGADOS_OTROS')")
                            label.form__label.mt-1 {{que(questions[0].responses[1].question)}}
                            ValidationProvider(:name="que(questions[0].responses[1].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[0].answer[1]"
                                    :searchable="true"
                                    :options="questions[0].responses[1].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                    hr
                    b-row.mt-4
                        b-col(md="6" lg="4")
                            label.form__label.mt-1 {{que(questions[2].question)}}
                            ValidationProvider(:name="que(questions[2].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[2].answer[0]"
                                    :searchable="true"
                                    :options="questions[2].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                        b-col(md="6" lg="4")
                            label.form__label.mt-1 {{que(questions[3].question)}}
                            ValidationProvider(:name="que(questions[3].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[3].answer[0]"
                                    :searchable="true"
                                    :options="questions[3].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                                
                        b-col(md="6" lg="4")
                            label.form__label.mt-1 {{que(questions[4].question)}}
                            ValidationProvider(:name="que(questions[4].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[4].answer[0]"
                                    :searchable="true"
                                    :options="questions[4].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                        b-col(md="6" lg="4")
                            label.form__label.mt-1 {{que(questions[5].question)}}
                            ValidationProvider(:name="que(questions[5].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[5].answer[0]"
                                    :searchable="true"
                                    :options="questions[5].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                    hr
                    b-row.mt-4
                        b-col(cols="12")
                            label.form__label.mt-1 {{que(questions[6].responses[0].question)}}
                        b-col(lg="6")
                            ValidationProvider(:name="que(questions[6].responses[0].question)" v-slot="{ errors }" rules="required")
                                b-form-radio-group(v-model="responses[6].answer[0]" v-on:change="onChangeClearResponse(6)")
                                    b-row
                                        b-col(v-for="(option, idx) in questions[6].responses[0].responses" :key="idx" md="6")
                                            b-form-radio(:value="option") {{res(option)}}
                        b-col(cols="12" v-if="responses[6].answer[0] && responses[6].answer[0] === 'SI'")
                            label.form__label.mt-1 {{que(questions[6].responses[1].question)}}
                            ValidationProvider(:name="que(questions[6].responses[1].question)" v-slot="{ errors }" rules="required")
                                b-form-textarea(v-model="responses[6].answer[1]" :placeholder="que(questions[6].responses[1].question)")
                    hr
                    b-row.mt-4
                        b-col(cols="12")
                            label.form__label.mt-1 {{que(questions[9].responses[0].question)}}
                        b-col(lg="4" md="12")
                            ValidationObserver(v-slot="{ valid_asc, errors_asc }")
                                b-form-radio-group(v-model="responses[9].answer[0]" v-on:change="onChangeClearResponse(9)")
                                    b-row
                                        b-col(v-for="(option, idx) in questions[9].responses[0].responses" :key="idx" md="6")
                                            b-form-radio(:value="option") {{res(option)}}
                        b-col(lg="4" md="6" v-if="responses[9].answer[0] && responses[9].answer[0] === 'SI'")
                            label.form__label.mt-1 {{que(questions[9].responses[1].question)}}
                            ValidationProvider(:name="que(questions[9].responses[1].question)" v-slot="{ errors }" rules="required")
                                b-form-input(v-model="responses[9].answer[1]" :placeholder="que(questions[9].responses[1].question)")
                        b-col(lg="4" md="6" v-if="responses[9].answer[0] && responses[9].answer[0] === 'SI'")
                            label.form__label.mt-1 {{que(questions[9].responses[2].question)}}
                            ValidationProvider(:name="que(questions[9].responses[2].question)" v-slot="{ errors }" rules="required")
                                b-form-input(v-model="responses[9].answer[2]" :placeholder="que(questions[9].responses[2].question)")
                    hr
                    b-row.mt-4
                        b-col(cols="12")
                            b-row
                                b-col(cols="12")
                                    label.form__label.mt-1 {{que(questions[10].responses[0].question)}}
                                b-col(lg="4" md="12")
                                    ValidationObserver(v-slot="{ valid_asc, errors_asc }")
                                        b-form-radio-group(v-model="responses[10].answer[0]" v-on:change="onChangeClearResponse(10)")
                                            b-row
                                                b-col(v-for="(option, idx) in questions[10].responses[0].responses" :key="idx" md="6")
                                                    b-form-radio(:value="option") {{res(option)}}
                                b-col(v-if="responses[10].answer[0] && responses[10].answer[0] === 'SI'" cols="12" lg="4")
                                    label.form__label.mt-1 {{que(questions[10].responses[1].question)}}
                                    ValidationProvider(:name="que(questions[10].responses[1].question)" v-slot="{ errors }" rules="required")
                                        b-form-input(v-model="responses[10].answer[1]" :placeholder="que(questions[10].responses[1].question)")

                            b-row.mt-4(v-if="responses[10].answer[0] && responses[10].answer[0] === 'SI'")
                                b-col(cols="12" lg="8")
                                    label.form__label.mt-1 {{que(questions[11].question)}}
                                    ValidationObserver(v-slot="{ valid_asc, errors_asc }")
                                        multiselect(
                                            v-model="responses[11].answer[0]"
                                            :searchable="true"
                                            :options="questions[11].responses",
                                            :close-on-select="true",
                                            placeholder="Seleccione la opción"
                                            :show-labels="false"
                                            )
                                            template(slot="option" slot-scope="{ option }")
                                                span {{ res(option) }}
                                            template(slot="singleLabel" slot-scope="{ option }")
                                                span {{ res(option) }}
                                b-col(v-if="responses[11].answer[0] === 'ENTIDAD_NO_CLASIFICADA'" cols="12" lg="4")
                                    label.form__label.mt-1 {{que(questions[12].question)}}
                                    ValidationProvider(:name="que(questions[12].question)" v-slot="{ errors }" rules="required")
                                        b-form-input(v-model="responses[12].answer[0]" :placeholder="que(questions[12].question)") 
                    hr
                    b-row.mt-4
                        b-col(cols="12")
                            label.form__label.mt-1 {{que(questions[7].question)}}
                            ValidationObserver(v-slot="{ valid_asc, errors_asc }")
                                b-row.d-none.d-md-flex
                                    b-col(md="2")
                                        label.form__label Nombre
                                    b-col(md="2")
                                        label.form__label Apellidos
                                    b-col(md="2")
                                        label.form__label NIF
                                    b-col(md="2")
                                        label.form__label %
                                    b-col(md="2")
                                        label.form__label Test
                                    b-col(md="2")
                                div(v-for="(person, idx) in associates" :key="idx")
                                    hr
                                    b-row
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label Nombre
                                            ValidationProvider(:name="'Nombre socio ' + (idx + 1)" v-slot="{ errors }" rules="required")
                                                b-form-input(v-model="person.name")
                                                .form__error(v-if="errors[0]") {{ errors[0] }}
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label Apellidos
                                            ValidationProvider(:name="'Apellido socio ' + (idx + 1)" v-slot="{ errors }" rules="required")
                                                b-form-input(v-model="person.surname")
                                                .form__error(v-if="errors[0]") {{ errors[0] }}
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label NIF
                                            ValidationProvider(:name="'NIF socio ' + (idx + 1)" v-slot="{ errors }" rules="required|dni")
                                                b-form-input(v-model="person.nif")
                                                .form__error(v-if="errors[0]") {{ errors[0] }}
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label Porcentaje de participación
                                            ValidationProvider(:name="'Participaciones socio ' + (idx + 1)" v-slot="{ errors }" rules="required")
                                                b-form-input(v-model="person.per" type="number" max="100" min="25")
                                                .form__error(v-if="errors[0]") {{ errors[0] }}
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label Test
                                            b-form-checkbox(v-model="person.test" :checked="person.test")
                                        b-col.text-right(md="2" v-if="associates.length > 1")
                                            span.btn.text-danger(@click="associates.splice(idx, 1)") Eliminar
                                div.mt-3.color-success.btn(v-if="!isAnyAssociateNotValid('associate')" @click="associates.push({name: '',surname: '',nif: '',per: 0,test: false})") 
                                    i.fal.fa-plus-circle.mr-1
                                    span Añadir nuevo
                    hr
                    b-row.mt-4
                        b-col(cols="12")
                            label.form__label.mt-1 ¿El inversor es una fundación, ONG, entidad religiosa o asociación?
                        b-col(lg="6")
                            ValidationProvider(name="tipo_inversor" v-slot="{ errors }" rules="required")
                                b-form-radio-group(v-model="condition" v-on:change="onChangeClearResponse(8)")
                                    b-row
                                        b-col(v-for="(option, idx) in questions[6].responses[0].responses" :key="idx" md="6")
                                            b-form-radio(:value="option") {{res(option)}}
                        b-col(cols="12" v-if="condition === 'SI'")
                            label.form__label.mt-1 {{que(questions[8].question)}}
                            ValidationObserver(v-slot="{ valid_asc, errors_asc }")
                                b-row.d-none.d-md-flex
                                    b-col(md="2")
                                        label.form__label Nombre
                                    b-col(md="2")
                                        label.form__label Apellidos
                                    b-col(md="2")
                                        label.form__label NIF
                                    b-col(md="2")
                                        label.form__label %
                                    b-col(md="2")
                                        label.form__label Test
                                    b-col(md="2")
                                div(v-for="(person, idx) in patrons" :key="idx")
                                    hr
                                    b-row
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label Nombre
                                            ValidationProvider(:name="'Nombre patron ' + (idx + 1)" v-slot="{ errors }" rules="required")
                                                b-form-input(v-model="person.name")
                                                .form__error(v-if="errors[0]") {{ errors[0] }}
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label Apellidos
                                            ValidationProvider(:name="'Apellido patron ' + (idx + 1)" v-slot="{ errors }" rules="required")
                                                b-form-input(v-model="person.surname")
                                                .form__error(v-if="errors[0]") {{ errors[0] }}
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label NIF
                                            ValidationProvider(:name="'NIF patron ' + (idx + 1)" v-slot="{ errors }" rules="required|dni")
                                                b-form-input(v-model="person.nif")
                                                .form__error(v-if="errors[0]") {{ errors[0] }}
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label Porcentaje de participación
                                            ValidationProvider(:name="'Participaciones patron ' + (idx + 1)" v-slot="{ errors }" rules="required")
                                                b-form-input(v-model="person.per" type="number" max="100" min="25")
                                                .form__error(v-if="errors[0]") {{ errors[0] }}
                                        b-col(md="2")
                                            label.d-flex.d-md-none.form__label Test
                                            b-form-checkbox(v-model="person.test" :checked="person.test")
                                        b-col.text-right(md="2" v-if="patrons.length > 1")
                                            span.btn.text-danger(@click="patrons.splice(idx, 1)") Eliminar
                                div.mt-3.color-success.btn(v-if="!isAnyAssociateNotValid('patron')" @click="patrons.push({name: '',surname: '',nif: '',per: 0,test: false})") 
                                    i.fal.fa-plus-circle.mr-1
                                    span Añadir nuevo
                    
                    .d-flex.justify-content-end.mt-3.mt-md-4
                        span(
                            v-if="!loading"
                            :disabled="!valid"
                            :class="!valid ? 'disabled' : ''"
                            class="e-btn e-btn__brand step2__continue"
                            @click="onSave(valid)"
                        ) Continuar
                        span(
                            v-else
                            class="e-btn e-btn__brand step2__continue"
                        )
                            i.fas.fa-circle-notch.fa-spin
            .form(v-else)
                ValidationObserver(v-slot="{ valid, errors }")
                    div.mt-4.l-subtitle Complete información
                    b-row.mt-4
                        b-col(cols="12")
                            label.form__label.mt-1 {{que(questions[0].question)}}
                        b-col(md="6" lg="8")
                            ValidationProvider(:name="que(questions[0].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[0].answer[0]"
                                    :searchable="true"
                                    :options="questions[0].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    @select="onChangeClearResponse(0)"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                        b-col(cols="12")
                        template(v-if="responses[0].answer[0] && responses[0].answer[0] === 'CUENTA_AJENA'")
                            b-col(md="6" lg="4")
                                label.form__label.mt-1 {{que(questions[1].question)}}
                                ValidationProvider(:name="que(questions[1].question)" v-slot="{ errors }" rules="required")
                                    b-form-input(v-model="responses[0].answer[1]" :placeholder="que(questions[1].question)")
                            b-col(md="6" lg="4")
                                label.form__label.mt-1 {{que(questions[2].question)}}
                                ValidationProvider(:name="que(questions[2].question)" v-slot="{ errors }" rules="required")
                                    b-form-input(v-model="responses[0].answer[2]" :placeholder="que(questions[2].question)")
                    hr
                    b-row.mt-4
                        b-col(md="6" lg="8")
                            label.form__label.mt-1 {{que(questions[3].question)}}
                            ValidationProvider(:name="que(questions[3].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[1].answer[0]"
                                    :searchable="true"
                                    :options="questions[3].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                    hr
                    b-row.mt-4
                        b-col(cols="12")
                            label.form__label.mt-1 {{que(questions[4].responses[0].question)}}
                            ValidationProvider(:name="que(questions[4].responses[0].question)" v-slot="{ errors }" rules="required")
                                b-form-checkbox-group(v-model="responses[2].answer[0]" v-on:change="onChangeClearResponse(2)")
                                    template
                                        b-row
                                            b-col(cols="12" v-for="(option, idx) in questions[4].responses[0].responses" :key="idx")
                                                b-form-checkbox(:value="option") {{res(option)}}
                        b-col(cols="12" v-if="responses[2].answer[0] && responses[2].answer[0].includes('OTROS')")
                            label.form__label.mt-1 {{que(questions[5].question)}}
                            ValidationProvider(:name="que(questions[5].question)" v-slot="{ errors }" rules="required")
                                b-form-input(v-model="responses[3].answer[0]" :placeholder="que(questions[5].question)")

                        b-col(cols="12" v-if="responses[2].answer[0] && responses[2].answer[0].includes('ABOGADOS_OTROS')")
                            label.form__label.mt-1 {{que(questions[4].responses[1].question)}}
                            ValidationProvider(:name="que(questions[4].responses[1].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[4].answer[0]"
                                    :searchable="true"
                                    :options="questions[4].responses[1].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                    hr
                    b-row.mt-4
                        b-col(md="12")
                            label.form__label.mt-1 {{que(questions[6].responses[0].question)}}
                            ValidationProvider(:name="que(questions[6].responses[0].question)" v-slot="{ errors }" rules="required")
                                b-form-radio-group(v-model="responses[5].answer[0]" v-on:change="onChangeClearResponse(5)")
                                    b-row
                                        b-col(v-for="(option, idx) in questions[6].responses[0].responses" :key="idx" md="6" lg="4")
                                            b-form-radio(:value="option") {{res(option)}}
                        template(v-if="responses[5].answer[0] && responses[5].answer[0] === 'SI'")
                            b-col(md="6" lg="4")
                                label.form__label.mt-1 {{que(questions[6].responses[1].question)}}
                                ValidationProvider(:name="que(questions[6].responses[1].question)" v-slot="{ errors }" rules="required")
                                    b-form-input(v-model="responses[5].answer[1]" :placeholder="que(questions[6].responses[1].question)")
                            b-col(md="6" lg="4")
                                label.form__label.mt-1 {{que(questions[6].responses[2].question)}}
                                ValidationProvider(:name="que(questions[6].responses[2].question)" v-slot="{ errors }" rules="required")
                                    b-form-input(v-model="responses[5].answer[2]" :placeholder="que(questions[6].responses[2].question)")
                    hr
                    b-row.mt-4
                        b-col(md="6" lg="8")
                            label.form__label.mt-1 {{que(questions[7].question)}}
                            ValidationProvider(:name="que(questions[7].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[6].answer[0]"
                                    :searchable="true"
                                    :options="questions[7].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    @select="onChangeClearResponse(6)"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                        b-col(md="6" lg="4" v-if="responses[6].answer[0] && responses[6].answer[0] === 'OTROS'")
                            label.form__label.mt-1 {{que(questions[8].question)}}
                            ValidationProvider(:name="que(questions[8].question)" v-slot="{ errors }" rules="required")
                                b-form-input(v-model="responses[7].answer[0]" :placeholder="que(questions[8].question)") 
                    hr
                    b-row.mt-4
                        b-col(md="6" lg="8")
                            label.form__label.mt-1 {{que(questions[9].question)}}
                            ValidationProvider(:name="que(questions[9].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[8].answer[0]"
                                    :searchable="true"
                                    :options="questions[9].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                        b-col(cols="12")
                            label.form__label.mt-1 {{que(questions[10].question)}}
                        b-col(md="6" lg="8")
                            ValidationProvider(:name="que(questions[10].question)" v-slot="{ errors }" rules="required")
                                multiselect(
                                    v-model="responses[9].answer[0]"
                                    :searchable="true"
                                    :options="questions[10].responses",
                                    :close-on-select="true",
                                    placeholder="Seleccione la opción"
                                    :show-labels="false"
                                    )
                                    template(slot="option" slot-scope="{ option }")
                                        span {{ res(option) }}
                                    template(slot="singleLabel" slot-scope="{ option }")
                                        span {{ res(option) }}
                    hr
                    b-row.mt-4
                        b-col(cols="12")
                            label.form__label.mt-1 {{que(questions[11].responses[0].question)}}
                        b-col(lg="4" md="12")
                            ValidationObserver(v-slot="{ valid_asc, errors_asc }")
                                b-form-radio-group(v-model="responses[10].answer[0]" v-on:change="onChangeClearResponse(10)")
                                    b-row
                                        b-col(v-for="(option, idx) in questions[11].responses[0].responses" :key="idx" md="6")
                                            b-form-radio(:value="option") {{res(option)}}
                        b-col(lg="4" md="6" v-if="responses[10].answer[0] && responses[10].answer[0] === 'SI'")
                            label.form__label.mt-1 {{que(questions[11].responses[1].question)}}
                            ValidationProvider(:name="que(questions[11].responses[1].question)" v-slot="{ errors }" rules="required")
                                b-form-input(v-model="responses[10].answer[1]" :placeholder="que(questions[11].responses[1].question)")
                        b-col(lg="4" md="6" v-if="responses[10].answer[0] && responses[10].answer[0] === 'SI'")
                            label.form__label.mt-1 {{que(questions[11].responses[2].question)}}
                            ValidationProvider(:name="que(questions[11].responses[2].question)" v-slot="{ errors }" rules="required")
                                b-form-input(v-model="responses[10].answer[2]" :placeholder="que(questions[11].responses[2].question)")
                    hr
                    b-row.mt-4
                        b-col(cols="12")
                            label.form__label.mt-1 {{que(questions[12].responses[0].question)}}
                        b-col(lg="4" md="12")
                            ValidationObserver(v-slot="{ valid_asc, errors_asc }")
                                b-form-radio-group(v-model="responses[11].answer[0]" v-on:change="onChangeClearResponse(11)")
                                    b-row
                                        b-col(v-for="(option, idx) in questions[12].responses[0].responses" :key="idx" md="6")
                                            b-form-radio(:value="option") {{res(option)}}
                        b-col(lg="4" md="6" v-if="responses[11].answer[0] && responses[11].answer[0] === 'SI'")
                            label.form__label.mt-1 {{que(questions[12].responses[1].question)}}
                            ValidationProvider(:name="que(questions[12].responses[1].question)" v-slot="{ errors }" rules="required")
                                b-form-input(v-model="responses[11].answer[1]" :placeholder="que(questions[12].responses[1].question)")

                    .d-flex.justify-content-end.mt-3.mt-md-4
                        span(
                            v-if="!loading"
                            :disabled="!valid"
                            :class="!valid ? 'disabled' : ''"
                            class="e-btn e-btn__brand step2__continue"
                            @click="onSave(valid)"
                        ) Continuar
                        span(
                            v-else
                            class="e-btn e-btn__brand step2__continue"
                        )
                            i.fas.fa-circle-notch.fa-spin
    .my-5.d-flex.justify-content-center(v-else)
            spinner(text="Cargando formulario...")